MantisBT

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0004217ACheckerAChecker web sitepublic2010-04-19 06:072013-05-08 07:31
Reportercindy 
Assigned Tocindy 
PrioritynormalSeverityminorReproducibilityalways
StatusresolvedResolutionfixed 
PlatformOSOS Version
Product Version1.1 
Target VersionFixed in VersionSVN 
Summary0004217: Timeout at validating http://www.hsbc.com.hk/1/2/chinese/home [^]
Descriptionhttp://www.hsbc.com.hk/1/2/chinese/home [^]

Trace down what causes timeout, pretty url? chinese characters?
TagsNo tags attached.
SVN Revision#494
Attached Files

- Relationships
related to 0004218resolvedgreg Hanging stopped evaluations. 

-  Notes
(0004930)
greg (administrator)
2011-01-21 16:21
edited on: 2011-01-21 16:23

cURL for multi-threading
http://semlabs.co.uk/journal/object-oriented-curl-class-with-multi-threading [^]
http://semlabs.co.uk/journal/multi-threaded-stack-class-for-php [^]

(0005047)
cindy (administrator)
2011-02-10 15:28

Performance is tuned in the following aspects:
1. remote fetching of the images is the major bottleneck. For improvements, 1. remove BasicFunctions::isFileExists, the file existence is now checked by BasicFunctions::getImageWidthAndHeight(); 2. in BasicFunctions::getImageWidthAndHeight(), save the width and height into a global array to reduce the repeated fetching on the same image;
2. modified on include/classes/AccessibilityValidator.class.php to reduce the number of calls on $e->outertext;
3. modified include/classes/DAO/DAO.class.php to reduce the number of calls on mysql_num_rows().

Affected scripts:
include/classes/DAO/DAO.class.php
include/classes/BasicFunctions.class.php
include/classes/AccessibilityValidator.class.php
include/classes/BasicChecks.class.php
install/db/achecker_schema.sql
install/db/achecker_upgrade_1.1_to_1.2.sql

- Issue History
Date Modified Username Field Change
2010-04-19 06:07 cindy New Issue
2010-04-20 13:54 greg Relationship added related to 0004218
2011-01-21 16:21 greg Note Added: 0004930
2011-01-21 16:23 greg Note Edited: 0004930 View Revisions
2011-02-10 15:28 cindy SVN Revision# => 494
2011-02-10 15:28 cindy Note Added: 0005047
2011-02-10 15:28 cindy Status new => resolved
2011-02-10 15:28 cindy Fixed in Version => SVN
2011-02-10 15:28 cindy Resolution open => fixed
2011-02-10 15:28 cindy Assigned To => cindy
2013-05-08 07:31 user1 Note Added: 0006459
2013-05-08 09:11 greg Note Deleted: 0006459


Copyright © 2000 - 2017 MantisBT Team
Powered by Mantis Bugtracker